#pragma once
#include <QDialog>
#include "ui_dialogsetuppasswd.h"

class DialogSetupPasswd : public QDialog {
	Q_OBJECT
signals :
	void enter_admin();

public:
	DialogSetupPasswd(QWidget * parent = Q_NULLPTR);
	~DialogSetupPasswd();

private slots :
	void on_pushButton_close_released();
	void on_pushButton_clr_released();
	void on_pushButton_ok_released();
	void on_pushButton_0_released();
	void on_pushButton_1_released();
	void on_pushButton_2_released();
	void on_pushButton_3_released();
	void on_pushButton_4_released();
	void on_pushButton_5_released();
	void on_pushButton_6_released();
	void on_pushButton_7_released();
	void on_pushButton_8_released();
	void on_pushButton_9_released();


public:
	QString m_pswd;

private:
	Ui::DialogSetupPasswd ui;
};
